#include	"Types.r"

include "StdCompression.rsrc";


resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About PictMovier", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFBD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFFF7,
	enabled,
	"File",
	{	/* array: 5 elements */
		/* [1] */
		"Open", noIcon, "O", noMark, plain,
		/* [2] */
		"Close", noIcon, "W", noMark, plain,
		/* [3] */
		"Save", noIcon, "S", noMark, plain,
		/* [4] */
		"-", noIcon, noKey, noMark, plain,
		/* [5] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFAF,
	enabled,
	"PictMovier",
	{	/* array: 8 elements */
		/* [1] */
		"Compression", noIcon, "K", noMark, plain,
		/* [2] */
		"Number of Stages", noIcon, noKey, noMark, plain,
		/* [3] */
		"Oversample 2X", noIcon, "2", check, plain,
		/* [4] */
		"Backwards", noIcon, "B", noMark, plain,
		/* [5] */
		"-", noIcon, noKey, noMark, plain,
		/* [6] */
		"Preview Stage", noIcon, noKey, noMark, plain,
		/* [7] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Do Transform", noIcon, "M", noMark, plain
	}
};

resource 'DLOG' (128) {
	{40, 40, 186, 326},
	dBoxProc,
	visible,
	goAway,
	0x0,
	128,
	""
};

resource 'DLOG' (129) {
	{40, 40, 186, 326},
	dBoxProc,
	visible,
	goAway,
	0x0,
	129,
	""
};

resource 'DITL' (128) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{116, 210, 136, 268},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{85, 210, 105, 268},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{29, 194, 45, 269},
		EditText {
			enabled,
			""
		},
		/* [4] */
		{68, 23, 86, 94},
		CheckBox {
			enabled,
			"Linear"
		},
		/* [5] */
		{16, 21, 56, 171},
		StaticText {
			disabled,
			"Number of Stages of Metamorphis :"
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{114, 210, 134, 268},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{84, 210, 104, 268},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{8, 9, 45, 167},
		StaticText {
			disabled,
			"Choose Metamorphis stage to preview :"
		},
		/* [4] */
		{27, 191, 43, 266},
		EditText {
			enabled,
			""
		}
	}
};

resource 'DITL' (140) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{222, 276, 242, 334},
		Button {
			enabled,
			"Oh"
		},
		/* [2] */
		{7, 63, 213, 357},
		StaticText {
			disabled,
			"^0^1^2^3"
		}
	}
};

resource 'SIZE' (0) {
	reserved,
	ignoreSuspendResumeEvents,
	reserved,
	cannotBackground,
	notMultiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	2000000,
	500000
};

resource 'ALRT' (140) {
	{39, 41, 294, 409},
	140,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

