#   File:       ShowMovieFAT.make
#   Target:     ShowMovieFAT
#   Sources:    :Sources:WindStuff.c
#               :Sources:Show Movie.c
#               :Sources:MovieStuff.c
#               :Sources:MoviePrefs.c
#               :Sources:MenuStuff.c
#               :Sources:cfrg.r
#   Created:    Friday, October 6, 1995 02:50:26 PM


MAKEFILE     = ShowMovieFAT.make
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:

PPCCOptions  = {Includes} {SymPPC} -w conformance -appleext on 

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"{ObjDirPPC}WindStuff.c.x" 
		"{ObjDirPPC}Show Movie.c.x" 
		"{ObjDirPPC}MovieStuff.c.x" 
		"{ObjDirPPC}MoviePrefs.c.x" 
		"{ObjDirPPC}MenuStuff.c.x"

Objects68K  = 
		"{ObjDir68K}WindStuff.c.o" 
		"{ObjDir68K}Show Movie.c.o" 
		"{ObjDir68K}MovieStuff.c.o" 
		"{ObjDir68K}MoviePrefs.c.o" 
		"{ObjDir68K}MenuStuff.c.o"


"ShowMovieFat"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c '????' 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{SharedLibraries}"QuickTimeLib 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"PPCSIOW.o 
		"{PPCLibraries}"PPCCRuntime.o 
		-librename MathLib.xcoff=MathLib


"ShowMovieFat"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o

"ShowMovieFAT"  {MondoBuild} "Show Movie.rsrc"
	Echo 'Include "Show Movie.rsrc";' | Rez -append -o "ShowMovieFat"

ShowMovieFAT  {MondoBuild} :Sources:cfrg.r
	Rez :Sources:cfrg.r -o {Targ} {Includes} -append


"{ObjDirPPC}WindStuff.c.x"  {MondoBuild} :Sources:WindStuff.c
	{PPCC} :Sources:WindStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Show Movie.c.x"  {MondoBuild} ":Sources:Show Movie.c"
	{PPCC} ":Sources:Show Movie.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}MovieStuff.c.x"  {MondoBuild} :Sources:MovieStuff.c
	{PPCC} :Sources:MovieStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MoviePrefs.c.x"  {MondoBuild} :Sources:MoviePrefs.c
	{PPCC} :Sources:MoviePrefs.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MenuStuff.c.x"  {MondoBuild} :Sources:MenuStuff.c
	{PPCC} :Sources:MenuStuff.c -o {Targ} {PPCCOptions}


"{ObjDir68K}WindStuff.c.o"  {MondoBuild} :Sources:WindStuff.c
	{C} :Sources:WindStuff.c -o {Targ} {COptions}

"{ObjDir68K}Show Movie.c.o"  {MondoBuild} ":Sources:Show Movie.c"
	{C} ":Sources:Show Movie.c" -o {Targ} {COptions}

"{ObjDir68K}MovieStuff.c.o"  {MondoBuild} :Sources:MovieStuff.c
	{C} :Sources:MovieStuff.c -o {Targ} {COptions}

"{ObjDir68K}MoviePrefs.c.o"  {MondoBuild} :Sources:MoviePrefs.c
	{C} :Sources:MoviePrefs.c -o {Targ} {COptions}

"{ObjDir68K}MenuStuff.c.o"  {MondoBuild} :Sources:MenuStuff.c
	{C} :Sources:MenuStuff.c -o {Targ} {COptions}

